#
# spec file for package python-keystone-json-assignment
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-keystone-json-assignment
Version:        0.0.4
Release:        2.1
Summary:        JSON Backend for the Keystone Assignment Driver
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/SUSE-Cloud/keystone-json-assignment
Source:         keystone-json-assignment-%{version}.tar.gz
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Requires:       python-oslo.config
Requires:       python-oslo.log
BuildArch:      noarch
%python_subpackages

%description
This assignment backend inherits from the standard SQL backend and adds
user-project assignments for LDAP users using a JSON mapping found at
/etc/keystone/user-project-map.json. This is based on the
`hybrid_json_assignment driver for SUSE OpenStack Cloud 6
<https://github.com/SUSE-Cloud/keystone-hybrid-backend/blob/liberty/hybrid_json_assignment.py>`_.

%prep
%setup -q -n keystone-json-assignment-%{version}

%build
%python_build

%install
%python_install

%check
# need fixes
# python_exec setup.py test

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Feb 18 2019 dmueller@suse.com
- update to 0.0.4:
  * Always filter roles by given project and userid (bsc#1124864)
  * Dynamically reload the JSON mapping
* Wed Nov 28 2018 jsuchome@suse.com
- update to 0.0.3
  * Update driver for keystone pike (cmurphy)
* Wed Aug  8 2018 dmueller@suse.com
- update to 0.0.2
  * speedup project lookup
* Wed Apr  4 2018 dmueller@suse.com
- Initial package (0.0.1)
